export default self;
declare const self: Session;
declare class Session {
    sessionList: any[];
    sessionMap: Map<any, any>;
    draftMap: Map<any, any>;
    tempSessionList: any[];
    focusSessionId: string;
    search: string;
    hideSessionChatId: string;
    prevFocusSessionId: string;
    page: number;
    pageCount: number;
    hasMore: boolean;
    lastEmoji: any[];
    scrolling: boolean;
    loadDraftmsg(chatId: any): Promise<void>;
    initLastEmoji(): Promise<void>;
    get renderList(): any[];
    get isReadonlySession(): boolean;
    get focusSessionInfo(): any;
    get focusDraftInfo(): any;
    get sortSessionAsideByRule(): any[];
    updateSearch(value: any): void;
    loadConversation(sessions: any): Promise<void>;
    loadAllSession(): Promise<void>;
    checkIsKickedOutOfGroup({ chatId, lastMessage }: {
        chatId: any;
        lastMessage: any;
    }): Promise<true | undefined>;
    selectSession(chatId: any, autoVisible?: boolean, force?: boolean): Promise<void>;
    setConversationVisible(chatId: any): void;
    setLoadPage(page: any): void;
    deleteSession(chatId: any, forceDel?: boolean): Promise<void>;
    getInfoByChatId(sessionId: any): Promise<any>;
    insertTemSession(sessionId: any): Promise<false | undefined>;
    checkHistorySession(chatId: any): Promise<import("@newSdk/model/Chat").Session | null | undefined>;
    filterHideSession(sessionList: any): Promise<any[]>;
    unForceSession(): void;
    forceSession(): void;
    clearCache(): void;
}
